Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

My current setup:

  • Ubuntu 10.04
  • Banshee 1.6 (I followed the instructions to set up the PPA and get the latest version)
  • IPod 5th gen video (MA147LL) with firmware 1.3

Here is the issue:

  • I restore the Ipod on a windows machine
  • I plug in the Ipod on the Ubuntu machine
  • I set the sync preferences to be "Sync to " and "Sync when connected and when libraries change"
  • Banshee says it is syncing with the Ipod
  • When it says it's done, I disconnect the Ipod and there are no songs or playlist on the Ipod
  • When I plug the Ipod back into the Ubuntu box, Banshee tells me the database on the ipod is too new or needs to be repaired.

If log snippets or anything else would help in resolving this, please let me know.

EDIT:

So it doesn't work with 1.7.5 either.

Here is the link to the bug I opened for this:

https://bugzilla.gnome.org/show_bug.cgi?id=629838

share|improve this question
    
This sounds like it may be a bug report. You may get better results filing a problem on Launchpad. Try other (non-PPA) Banshee versions as well; see if that helps. –  Jacob Peddicord Sep 16 '10 at 3:52
add comment

closed as off topic by Marco Ceppi May 21 '12 at 20:57

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

2 Answers

Banshee 1.6's support for newer ipods can be hit and miss. However the Banshee team have been working pretty hard to make this work on newer versions by porting it to gio/udev. This improves ipod support, but unfortunately is not out in stable form yet.

However you can use the following PPA if you want to use the current 1.7.x development release:

ppa:banshee-team/banshee-unstable

If you want to follow the stable releases of Banshee (which will have 1.8 when it comes out) you can use this PPA:

ppa:banshee-team/ppa

I recommend using the 1.7 PPA for now, and when 1.8 is released switching to that PPA and you should be good. I've been using 1.7 for a while now and I haven't had problems. From your question it looks like you're running the stable PPA already, so switching to the unstable one for now should do the trick.

If it doesn't work in 1.7, then you've found a bug, you should report that to the Banshee developers.

share|improve this answer
    
So I added the unstable PPA, upgraded to the latest version and still the same issue. I'm going to open a bug report. –  alexpotato Sep 16 '10 at 11:04
add comment

I don't know of any other tools that do this, but Amarok2 can scan your ipod for 'stale and orphaned tracks' which should fix your songs not showing up. Also, always make sure to properly eject your device, that has always been my number one reason why my ipod ends up 'empty' after just being synced.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.